Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.tools
Class NamePatternMatcher

    java.lang.Object
      org.apache.cayenne.tools.NamePatternMatcher

    public class NamePatternMatcher

extends Object

Provides name pattern matching functionality.

Since:
  1.2
Author:
  Andrus Adamchik, Mike Kienenberger

Field Summary
`protected Pattern[]` | `itemExcludeFilters`
`protected Pattern[]` | `itemIncludeFilters`
`protected org.apache.cayenne.tools.ILog` | `logger`

Constructor Summary
`NamePatternMatcher(org.apache.cayenne.tools.ILog parentTask, String includePattern, String excludePattern)`

Method Summary
`Pattern[]` | `createPatterns(String patternString)` Returns an array of Patterns.
`protected List` | `filter(List items)` Applies preconfigured list of filters to the list, removing entities that do not pass the filter.
`protected boolean` | `passedExcludeFilter(CayenneMapEntry item)` Returns true if the entity does not match any one of the "exclude" patterns, or if there is no "exclude" patterns defined.
`protected boolean` | `passedIncludeFilter(CayenneMapEntry item)` Returns true if the entity matches any one of the "include" patterns, or if there is no "include" patterns defined.
`static String` | `replaceWildcardInStringWithString(String wildcard, String pattern, String replacement)`
`String[]` | `tokenizePattern(String pattern)` Returns an array of valid regular expressions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected org.apache.cayenne.tools.ILog logger

### itemIncludeFilters

    protected Pattern[] itemIncludeFilters

### itemExcludeFilters

    protected Pattern[] itemExcludeFilters

Constructor Detail

### NamePatternMatcher

    public NamePatternMatcher(org.apache.cayenne.tools.ILog parentTask,
                              String includePattern,
                              String excludePattern)

Method Detail

### createPatterns

    public Pattern[] createPatterns(String patternString)

  Returns an array of Patterns. Takes a comma-separated list of patterns, attempting to convert them to the java.util.regex.Pattern syntax. E.g.

  `"billing_*,user?"` will become an array of two expressions:

  `^billing_.*$`
  `^user.?$`

### tokenizePattern

    public String[] tokenizePattern(String pattern)

  Returns an array of valid regular expressions. Takes a comma-separated list of patterns, attempting to convert them to the java.util.regex.Pattern syntax. E.g.

  `"billing_*,user?"` will become an array of two expressions:

  `^billing_.*$`
  `^user.?$`

### filter

    protected List filter(List items)

  Applies preconfigured list of filters to the list, removing entities that do not pass the filter.

### passedIncludeFilter

    protected boolean passedIncludeFilter(CayenneMapEntry item)

  Returns true if the entity matches any one of the "include" patterns, or if there is no "include" patterns defined.

### passedExcludeFilter

    protected boolean passedExcludeFilter(CayenneMapEntry item)

  Returns true if the entity does not match any one of the "exclude" patterns, or if there is no "exclude" patterns defined.

### replaceWildcardInStringWithString

    public static String replaceWildcardInStringWithString(String wildcard,
                                                           String pattern,
                                                           String replacement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.